<?xml version="1.0" encoding="UTF-8" ?>
<pageDefinition xmlns="http://xmlns.oracle.com/adfm/uimodel"
                version="10.1.3.35.83" id="app_staff_SREditPageDef"
                Package="oracle.srdemo.view.pageDefs">
  <parameters/>
  <executables>
    <invokeAction id="setRowToEditFromRequestParameter"
                  Binds="setCurrentRowWithKey"
                  RefreshCondition="${adfFacesContext.postback == false and not empty processScope.rowKeyStr}"
                  Refresh="prepareModel"/>
    <iterator id="ServiceRequestsIterator" Binds="ServiceRequests"
              RangeSize="1" DataControl="SRService"/>
    <iterator id="ServiceRequestStatusListIterator" RangeSize="-1"
              Binds="ServiceRequestStatusList" DataControl="SRService"/>
  </executables>
  <bindings>
    <attributeValues IterBinding="ServiceRequestsIterator" id="SvrId">
      <AttrNames>
        <Item Value="SvrId"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator" id="CreatedBy">
      <AttrNames>
        <Item Value="CreatedBy"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator"
                     id="CreatedByFirstName">
      <AttrNames>
        <Item Value="CreatedByFirstName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator"
                     id="CreatedByLastName">
      <AttrNames>
        <Item Value="CreatedByLastName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator" id="RequestDate">
      <AttrNames>
        <Item Value="RequestDate"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator" id="AssignedTo">
      <AttrNames>
        <Item Value="AssignedTo"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator"
                     id="AssignedToFirstName">
      <AttrNames>
        <Item Value="AssignedToFirstName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator"
                     id="AssignedToLastName">
      <AttrNames>
        <Item Value="AssignedToLastName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator"
                     id="ProblemDescription">
      <AttrNames>
        <Item Value="ProblemDescription"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator" id="AssignedDate">
      <AttrNames>
        <Item Value="AssignedDate"/>
      </AttrNames>
    </attributeValues>
    <list StaticList="false" ListOperMode="0"
          IterBinding="ServiceRequestsIterator"
          ListIter="ServiceRequestStatusListIterator" id="Status">
      <AttrNames>
        <Item Value="Status"/>
      </AttrNames>
      <ListAttrNames>
        <Item Value="Code"/>
      </ListAttrNames>
      <ListDisplayAttrNames>
        <Item Value="Code"/>
      </ListDisplayAttrNames>
    </list>
    <action id="setCurrentRowWithKey" IterBinding="ServiceRequestsIterator"
            InstanceName="SRService.ServiceRequests"
            DataControl="SRService" RequiresUpdateModel="false"
            Action="96">
      <NamedData NDName="rowKey" NDValue="${processScope.rowKeyStr}"
                 NDType="java.lang.String"/>
    </action>
    <action id="Commit" InstanceName="SRService"
            DataControl="SRService" RequiresUpdateModel="true"
            Action="100"/>
    <methodAction id="cancelEditsToCurrentServiceRequest"
                  InstanceName="SRService.dataProvider"
                  DataControl="SRService"
                  MethodName="cancelEditsToCurrentServiceRequest"
                  RequiresUpdateModel="true" Action="999"/>
  </bindings>
</pageDefinition>
